<?php

namespace App\Models;

use Core\Model;

class MahasiswaModel extends Model
{
    protected $table = 'tb_mahasiswa';

	public function getProdi($nim)
	{
		$stmt = $this->query("SELECT id_prodi, id_kurikulum FROM {$this->table} WHERE nim = ? LIMIT 1", [$nim]);
		return $stmt->fetch(\PDO::FETCH_ASSOC); // mengembalikan array asosiatif
	}

}
